Certificate

TLS/SSL certificates are used to secure network communications and prove the identity of websites on the Internet and resources on private networks. The certificates and their associated private keys are provided in PEM (Privacy Enhanced Mail) format.

This tag groups all operations for certificate.

Retrieve all Certificate

get

This endpoint enables retrieving all Certificate using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
filter.commonNamestringOptional

Filter by the common name (DNS).

Example: www.example.com
filter.autoCertificatestring · uuidOptional

Filter by autoCertificateID.

Example: b471cd03-ef51-52c5-91a5-49195b0a04d4
Responses
chevron-right
200

Returned all requested Certificate successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Certificate resources.

Example: e7057759-25b4-5a26-b2f2-4c41e61f1044
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Certificate resources.

Example: /certificates
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/certificates

Create Certificate

post

Creates a new Certificate.

The full Certificate needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/certificates

Retrieve Certificate

get

Returns the Certificate by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
certificateIdstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
Responses
chevron-right
200

Getting Certificate was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Certificate.

Example: /certificates/cbee81a3-9389-57ba-bc50-393adcfca141
get
/certificates/{certificateId}

Delete Certificate

delete

Deletes the specified Certificate.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
certificateIdstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
Responses
delete
/certificates/{certificateId}

No content

Updates Certificate

patch

Changes Certificate with the provided ID. Values provides will replace the existing data.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
certificateIdstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

Certificate successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Certificate.

Example: /certificates/cbee81a3-9389-57ba-bc50-393adcfca141
patch
/certificates/{certificateId}

Last updated

Was this helpful?